<?php
include("../conn/conn.php");

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    if (isset($_POST['youtube_title'], $_POST['youtube_link'])) {
        $youtubeTitle = $_POST['youtube_title'];
        $youtubeLink = $_POST['youtube_link'];
        $embedURL = $_POST['embed_url'];

        try {
            $conn->beginTransaction();

            $stmt = $conn->prepare("INSERT INTO tbl_bookmark (youtube_title, youtube_link, embed_url) VALUES (:youtube_title, :youtube_link, :embed_url)");

            $stmt->bindParam(":youtube_title", $youtubeTitle, PDO::PARAM_STR);
            $stmt->bindParam(":youtube_link", $youtubeLink, PDO::PARAM_STR);
            $stmt->bindParam(":embed_url", $embedURL, PDO::PARAM_STR);

            $stmt->execute();

            $conn->commit();

            echo "
                <script>
                    alert('Bookmark Added Successfully!');
                    window.location.href = 'http://localhost/youtube-video-bookmark/';
                </script>
            ";
        } catch (PDOException $e) {
            $conn->rollBack();
            echo "
                <script>
                    alert('Error: " . $e->getMessage() . "');
                    window.location.href = 'http://localhost/youtube-video-bookmark/';
                </script>
            ";
        }
    } else {
        echo "
            <script>
                alert('Please fill in all fields!');
                window.location.href = 'http://localhost/youtube-video-bookmark/';
            </script>
        ";
    }
}
?>
